# Class ModuleTableReport

java.lang.Object
net.sf.statcvs.reports.ModuleTableReport

All Implemented Interfaces:
  `TableReport`

public class ModuleTableReport extends Object implements TableReport
Table report which creates a table containing the names of all modules and the number of changes and LOC in them.

Version:
  $Id: ModuleTableReport.java,v 1.2 2009/08/22 10:30:42 benoitx Exp $
Author:
  Benoit Xhenseval

## Constructor Summary

Constructors
Constructor
Description
`ModuleTableReport(Repository content)`
Creates a table report containing all modules and their respective number of changes and LOC.

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
Calculates the report from the source data.
`Table`
`getTable()`
Returns the table data model.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleTableReport

public ModuleTableReport(Repository content)
Creates a table report containing all modules and their respective number of changes and LOC.

Parameters:
  `content` - the version control source data

## Method Details

### calculate

public void calculate()
Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`

### getTable

public Table getTable()
Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model